query GetAllTeamsEventRegionFilter(
  $minTeamSize: Int = 0
  $maxTeamSize: Int = 999
  $eventId: [uuid!]!
  $regionId: [String!]!
) {
  teams(
    order_by: { long_name: asc }
    where: {
      team_size: { _gte: $minTeamSize, _lte: $maxTeamSize }
      event_registration: {
        event_id: { _in: $eventId }
        event_registration_setting: { region: { name: { _in: $regionId } } }
      }
    }
  ) {
    ...TeamFields
    events {
      event {
        id
        name
        start
        end
      }
      event_registration_setting {
        region {
          id
          name
        }
      }
    }
  }
}
